RWSS< STANDARD, H > Class Template Reference

Rabin-Williams signature scheme. More...

Inheritance diagram for RWSS< STANDARD, H >:

## Additional Inherited Members

Public Types inherited from TF_SS< STANDARD, H, RW >
typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< ALG_INFO, KEYS, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Static Public Member Functions inherited from TF_SS< STANDARD, H, RW >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
class RWSS< STANDARD, H >

Rabin-Williams signature scheme.

Definition at line 122 of file rw.h.

The documentation for this class was generated from the following file:

- rw.h